Bug 68812 - rhn_register crashes after pressing 'Next' at first screen
rhn_register crashes after pressing 'Next' at first screen
Product: Red Hat Public Beta
Classification: Retired
Component: rhnlib (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-14 15:09 EDT by Nigel Smith
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-19 20:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Smith 2002-07-14 15:09:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; .NET 
CLR 1.0.3705)

Description of problem:
Trying to get rhn_register to run.
Hit (default) Next button & program promptly crashes

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Simply run rhn_register
2.(The first time, after installing, it asks for network settings to be 
confirmed - Leaving at default values, which has been ok on previous versions 
for me)
3.Hit the 'Next' button	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 228, in ?
  File "/usr/sbin/rhn_register", line 209, in main
  File "/usr/share/rhn/register/tui.py", line 1042, in main
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 83, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.privacyText(), 1)
  File "/usr/share/rhn/register/rhnreg.py", line 447, in privacyText
    return doCall(s.registration.privacy_statement)
  File "/usr/share/rhn/register/rhnreg.py", line 155, in doCall
    ret = apply(method, args)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 411, in _request
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 236, in request
    fd = resp.decode(fd)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 617, in decode
    self.data = obj.decompress(self.data) + obj.flush()
TypeError: decompress() argument 1 must be string or read-only buffer, not None

Additional info:

Minimum install using text mode installer.
Have tried re-installing from scratch afew times and get this problem every 
Comment 1 Mihai Ibanescu 2002-07-19 20:48:20 EDT
rhnlib-0.8-2 fixes this.
Comment 2 Jay Turner 2002-08-19 15:12:16 EDT
Fix confirmed with rhnlib-0.8-13.

Note You need to log in before you can comment on or make changes to this bug.